.product-facet__filter-item collapsible-content[id="facet-filter-filter.p.m.cosmo.material"] .color-swatch-list {
  grid-template-columns: repeat(auto-fit,120px);
}

.product-facet__filter-item collapsible-content[id="facet-filter-filter.p.m.cosmo.material"] label {
  aspect-ratio: auto;
  height: 40px;
  width: 100%;
  background-size: contain;
  border-radius: unset;
}

.product-facet__filter-item collapsible-content[id="facet-filter-filter.p.m.cosmo.connector_type"] label {
  background-color: rgb(var(--text-color));
}